import org.eclipse.swt.SWT;
import org.eclipse.swt.events.*;
import org.eclipse.swt.widgets.*;
import org.eclipse.swt.layout.FillLayout;

public class TabExample {
  Display display = new Display();
  Shell shell = new Shell(display);
  
  public TabExample() {
    shell.setLayout(new FillLayout());
	shell.setText("Tabs");
   
    final TabFolder tabFolder = new TabFolder (shell, SWT.NONE);
    for (int i=1; i<5; i++) {
     TabItem item = new TabItem (tabFolder, SWT.NULL);
     item.setText ("Tab" + i);
     Text text = new Text(tabFolder, SWT.BORDER | SWT.MULTI);
     text.setText("This is Tab "+i);
     item.setControl(text);
 }
     tabFolder.setSize (250, 150);
     tabFolder.addSelectionListener(new SelectionListener() {
     public void widgetSelected(SelectionEvent e) {
     System.out.println("You have selected:"+ tabFolder.getSelection()[0].toString());
     }
     public void widgetDefaultSelected(SelectionEvent e) {
        widgetSelected(e);
      }
    });
	shell.setSize(200, 150);
    shell.open();
    
    while (!shell.isDisposed()) {
      if (!display.readAndDispatch()) {
      display.sleep();
      }
    }
    display.dispose();
  }
   public static void main(String[] args) {
    new TabExample();
  }
}
           